package org.gcube.data.access.storagehub.storage.backend.impl;

import org.gcube.common.storagehub.model.Constants;
import org.gcube.common.storagehub.model.Metadata;
import org.gcube.common.storagehub.model.exceptions.InvalidCallParameters;
import org.gcube.common.storagehub.model.storages.StorageBackend;
import org.gcube.common.storagehub.model.storages.StorageBackendFactory;

public class GCubeMongoStorageBackendFactory implements StorageBackendFactory {

	@Override
	public String getName() {
		return Constants.mongoStorageConstant;
	}

	@Override
	public StorageBackend create(Metadata parameter) throws InvalidCallParameters {
		return new GCubeMongoStorageBackend();
	}
	
	
	
}
